<?xml version="1.0" encoding="ISO-8859-1" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:p="http://primefaces.org/ui"
    xmlns:pe="http://primefaces.org/ui/extensions">

<div id = "modalAltaUsuario">
<p:panelGrid id="idPanelAltaUsuario" class="titulo">
			<p:row>
				<p:column>
					<p:outputLabel value="#{msghsp['etiqueta.administracion.cuentadominio']}" />
					</p:column>
					<p:column>
					<p:outputLabel id="idUsuarioCuentaDominio" value="#{administracionUsuarioController.labelCuentaDominio}" />
				</p:column>
			</p:row>
			<p:row>
				<p:column>
					<p:outputLabel value="#{msghsp['etiqueta.administracion.matricula.input']}" />
				</p:column>
				<p:column>
				<p:inputText id="idUserMatricula" value="#{administracionUsuarioController.usuarioOperativo.cveMatricula}"
                          binding="#{administracionUsuarioController.textUserMatricula}"
                          maxlength="10"
                          onkeydown="keyDownMatricula();">
                     </p:inputText>
				</p:column>
			</p:row>
			<p:row>
			<p:column/>
			<p:column >
					<p:panelGrid>
					<p:row>
					<p:column>
						<p:commandButton id="idBusquedaSIAP"
							value="#{msghsp['boton.buscar']}"
							binding="#{administracionUsuarioController.buttonBusquedaSIAP}"
							update="growlMessageError idFoco idHiddenFoco idBusquedaSIAP idUserNombre idUserApePaterno idUserApeMaterno 
							idUserFechalta idUserCorreoElectronico idUserRol idUserMatricula idUserClaveDelegacion idUserDescDelegacion idUserCvePresupuestal idGuardarUsuario"
							actionListener="#{administracionUsuarioController.busquedaSIAPUsuario}" 
							oncomplete="focoBusquedaSIAP();"
							/>
						</p:column>
					</p:row>
				</p:panelGrid>	
			</p:column>
		</p:row>
		<p:row>
				<p:column>
					<p:outputLabel value="#{msghsp['etiqueta.administracion.cveDelegacion']}" />
				</p:column>
			<p:column>
				<p:panelGrid>
					<p:row>
						<p:column class="campo4">
							<p:inputText id="idUserClaveDelegacion"
								value="#{administracionUsuarioController.usuarioOperativo.cveDelegacion}"
								binding="#{administracionUsuarioController.textUserCveDelegacion}"
								maxlength="3"
								onkeydown="keyDownCveDelegacion();">
							</p:inputText>
						</p:column>
						<p:column class="campoL2">
							<p:inputText id="idUserDescDelegacion"
								value="#{administracionUsuarioController.usuarioOperativo.descDelegacion}"
								binding="#{administracionUsuarioController.textUserDesDelegacion}">
							</p:inputText>
						</p:column>
					</p:row>
				</p:panelGrid>
			</p:column>
			</p:row>
			<p:row>
			<p:column>
				<p:outputLabel
					value="#{msghsp['etiqueta.administracion.clavePresupuestal']}" />
			</p:column>
			<p:column styleClass="autocomplete">
				<h:panelGrid columns="1">
				<p:autoComplete id="idUserCvePresupuestal" dropdown="true"
				style="left: 0px !important; display: inline-table; height: 89% !important;"
					scrollHeight="100"
					completeMethod="#{administracionUsuarioController.filtrarCatalogoClavePresupuestal}"
					binding="#{administracionUsuarioController.autoUserPresupuestal}"
					forceSelection="true">
					<p:ajax event="itemSelect"
						listener="#{administracionUsuarioController.validarUserCvePresupuestal}"
						oncomplete="focoUserCvePresupuestal();"
						update="growlMessageError idFoco idHiddenFoco idUserCvePresupuestal" />
				</p:autoComplete>
				</h:panelGrid>
			</p:column>
			</p:row>
			<p:row>
				<p:column>
					<p:outputLabel value="#{msghsp['etiqueta.administracion.apellidoPaterno']}" />
					</p:column>
					<p:column>
					<p:inputText id="idUserApePaterno" value="#{administracionUsuarioController.usuarioOperativo.refApellidoPaterno}"
                          binding="#{administracionUsuarioController.textUserApellidoPaterno}">
                     </p:inputText>
				</p:column>
			</p:row>
			<p:row>
				<p:column>
					<p:outputLabel value="#{msghsp['etiqueta.administracion.apellidoMaterno']}" />
					</p:column>
					<p:column>
					<p:inputText id="idUserApeMaterno" value="#{administracionUsuarioController.usuarioOperativo.refApellidoMaterno}"
                          binding="#{administracionUsuarioController.textUserApellidoMaterno}">
                     </p:inputText>
				</p:column>
			</p:row>
			<p:row>
				<p:column>
					<p:outputLabel value="#{msghsp['etiqueta.administracion.nombre']}" />
					</p:column>
					<p:column>
					<p:inputText id="idUserNombre" value="#{administracionUsuarioController.usuarioOperativo.refNombre}"
                          binding="#{administracionUsuarioController.textUserNombre}">
                     </p:inputText>
				</p:column>
			</p:row>
			<p:row>
				<p:column>
					<p:outputLabel value="#{msghsp['etiqueta.administracion.fechaAlta']}" />
					</p:column>
					<p:column>
					<p:inputText id="idUserFechalta" value="#{administracionUsuarioController.usuarioOperativo.fecAlta}"
                          binding="#{administracionUsuarioController.textUserFechaAlta}">
                          <f:convertDateTime pattern="dd/MM/yyyy" />
                     </p:inputText>
				</p:column>
			</p:row>
			<p:row>
				<p:column>
					<p:outputLabel value="#{msghsp['etiqueta.administracion.correoElectronico']}" />
					</p:column>
					<p:column>
					<p:inputText id="idUserCorreoElectronico" value="#{administracionUsuarioController.usuarioOperativo.refEmail}"
                          binding="#{administracionUsuarioController.textUserCorreoElectronico}">
                     </p:inputText>
				</p:column>
			</p:row>
			<p:row>
				<p:column>
					<p:outputLabel value="#{msghsp['etiqueta.administracion.rol']}" />
				</p:column>
				
				<p:column class="comboM">
			
                                    <p:selectOneMenu
                                        id="idUserRol"
                                        binding="#{administracionUsuarioController.selectUserRol}"
                                        value="#{administracionUsuarioController.rolUsuarioModal.cveRol}">
                                        <f:selectItem
				                          itemValue=""
				                          itemLabel="#{msghsp['seleccione.vacio']}"
				                          noSelectionOption="true" />
                                        <f:selectItems
                                            value="#{administracionUsuarioController.catalogoRol}"
                                            var="divH"
                                            itemValue="#{divH.clave}"
                                            itemLabel="#{divH.clave} #{divH.descripcion}" />
                                            <p:ajax 
	                                            event="change"
				                                listener="#{administracionUsuarioController.validarUserRolSelecionado}"
				                                process="@this,idUserRol"
				                                oncomplete="focoUserRol();"
				                                update="growlMessageError idFoco idHiddenFoco idUserRol idGuardarUsuario"/>
                                    </p:selectOneMenu>
                 </p:column>

			</p:row>
			<p:row>
				<p:column/>
				<p:column class="tituloGeneral">
					<p:panelGrid>
					<p:row>
					<p:column class="campoL2">
					<p:commandButton id="idGuardarUsuario"
					style= "width:100px; text-align:Center !important;"
							value="#{msghsp['boton.guardar']}"
							binding="#{administracionUsuarioController.buttonGuardarUsuario}"
							update="growlMessageInfo growlMessageError idFoco idHiddenFoco idLabelRol"
							actionListener="#{administracionUsuarioController.guardarUsuarioSIMOC}" 
							oncomplete="focoGuardarUsuario();"
							/>
						</p:column>
						<p:column class="campoL2">
						<p:commandButton id="idCancelarUsuario"
						style= "width:100px; text-align:Center !important;"
							value="#{msghsp['boton.cancelar']}"
							binding="#{administracionUsuarioController.buttonCancelarUsuario}"
							update="growlMessageInfo growlMessageError idFoco idHiddenFoco idUserMatricula idUserClaveDelegacion 
							idUserDescDelegacion idUserCvePresupuestal idUserApePaterno idUserApeMaterno 
							idUserNombre idUserFechalta idUserCorreoElectronico idUserRol"
							actionListener="#{administracionUsuarioController.cancelarUsuarioModal}"
							oncomplete="focoUserCancelacion();" />
					</p:column>
					<p:column class="campoL2">
						<p:commandButton
								style= "width:100px; text-align:Center !important;"
								id="idSalirUsuario"
								value="#{msghsp['boton.salir']}"
								binding="#{administracionUsuarioController.buttonSalirAltaUsuario}"
								update="idSalirUsuario"
								actionListener="#{administracionUsuarioController.salirModalAltaUsuario}"
								oncomplete="deshabilitaEnter();" />
					</p:column>
				</p:row>
				</p:panelGrid>
				                  </p:column>
            </p:row>
      </p:panelGrid>
				
		</div>
</html>